<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    
     <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
     
     <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
    
    
    <style>
        body{
            background: #5c258D;
            background: linear-gradient(to left, #5c258D, #4389A2);
        }
        
        .contenedor{

            width: 100%;
            padding: 0;
            margin: auto;
            margin-top: 10%;
            overflow-x: hidden;
            background: #fff;
            box-shadow: 0 0 10px 3px #000;

        }
        
        .cont__header {
            background: #4389A2;
            padding: 15px 30px;
        }
        
        .title h1{
            color:#fff;
        }
        
        #agregar{
            color:#fff;
        }
         #agregar:hover{
            color:#ddd;
        }
        
        .input input[placeholder]{
            color: #007bc7;
            border-radius: 0;
            padding: 25px 20px;
        }
        
        .input input::placeholder{
            color: #007bc7;
        }
        
        ul li{
            list-style: none;
        }
        
        
        .eliminar{
            color: red;
        }
        
        .eliminar:hover{
            color: darkred;
        }
        
        .marcado{
            text-decoration: line-through;
        }
    </style>
</head>
<body>
   <div class="container">
        <div class="row">
            <div class="col-lg-5 col-md-5 col-sm-10 contenedor">
               
                <div class="cont__header d-flex justify-content-between">
                    <div class="title">
                        <h1>to-do-list</h1>
                    </div>
                    <div class="boton">
                        <a href="#" id="agregar"><i class="fa fa-plus fa-2x mt-3"></i></a>
                    </div>
                </div>
                
                <div class="input">
                    <input type="text" id="texto-nuevo" class="form-control" placeholder="Añadir nueva tarea">
                    <hr>
                </div>
                
                <div class="todo">
                    <ul id="todolista">

                    </ul>
                </div>
                
            </div>
       </div>
    </div>
    
    
    


     <script src="js/jquery-3.3.1.min.js"></script>
     <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
     <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    

    <script>

        function agregarLista(){
            var text =$('#texto-nuevo').val();
            if(text.length>0){
                $('#todolista').append('<li> <a href="#" class="eliminar"><i class="fa fa-trash "></i></a> <input type="checkbox" class="marcar"> '+ text +'<hr></li>');
                $('#texto-nuevo').val('');
                
            }
        }
        
        function eliminarLista(){
            $(this).parent().remove();
        }
       
        $(function(){
            $('#texto-nuevo').keypress(function(event){
                if(event.keyCode===13){
                    agregarLista();
                }         
            });

           // $('#agregar').on('click',agregarLista);
            
            $(document).on('click','.eliminar', eliminarLista);
            $(document).on('click','.marcar', tachar);
        })
        
        
        /*$(".texto-li").click(function(){
            $(this).parent().toggleClass('marcado'); //le quito la clase moneda al hijo del div.card
        })
        */
        function tachar(){
            $(this).parent().toggleClass('marcado'); 
              
        }
       
      
        
    </script>

</body>
</html>